Bug 1530721 - rpcbind.socket should create both tcp and udp listening sockets
Summary: rpcbind.socket should create both tcp and udp listening sockets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpcbind
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks: 1531486
TreeView+ depends on / blocked
 
Reported: 2018-01-03 16:40 UTC by Steve Dickson
Modified: 2018-10-30 11:48 UTC (History)
4 users (show)

Fixed In Version: rpcbind-0.2.0-45.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:48:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3313 None None None 2018-10-30 11:48:34 UTC

Description Steve Dickson 2018-01-03 16:40:00 UTC
Description of problem:

The rpcbind.socket file only creates tcp sockets. It 
also needs to create the udp sockets as well. 

ListenStream=0.0.0.0:111
ListenDatagram=0.0.0.0:111
ListenStream=[::]:111
ListenDatagram=[::]:111

Comment 7 Yongcheng Yang 2018-07-26 09:28:49 UTC
Have verified in rpcbind-0.2.0-45.el7

############
# Previously
############
[root@rhel-7.6 ~]# rpm -q rpcbind
rpcbind-0.2.0-44.el7.x86_64
[root@rhel-7.6 ~]# netstat -pan | grep -e 'rpcbind' -e ':111'
tcp        0      0 0.0.0.0:111             0.0.0.0:*               LISTEN      671/rpcbind         
tcp6       0      0 :::111                  :::*                    LISTEN      671/rpcbind         
udp        0      0 0.0.0.0:111             0.0.0.0:*                           671/rpcbind         
udp        0      0 0.0.0.0:838             0.0.0.0:*                           671/rpcbind         
udp6       0      0 :::111                  :::*                                671/rpcbind         
udp6       0      0 :::838                  :::*                                671/rpcbind         
unix  2      [ ACC ]     STREAM     LISTENING     15299    1/systemd            /var/run/rpcbind.sock
[root@rhel-7.6 ~]# netstat -pan | grep '111'
tcp        0      0 0.0.0.0:111             0.0.0.0:*               LISTEN      671/rpcbind         
tcp6       0      0 :::111                  :::*                    LISTEN      671/rpcbind         
udp        0      0 0.0.0.0:111             0.0.0.0:*                           671/rpcbind         
udp6       0      0 :::111                  :::*                                671/rpcbind         
[root@rhel-7.6 ~]# 

###########
# Currently
###########
[root@rhel-7.6 ~]# rpm -q rpcbind
rpcbind-0.2.0-45.el7.x86_64
[root@rhel-7.6 ~]# netstat -pan | grep -e 'rpcbind' -e ':111'
tcp        0      0 0.0.0.0:111             0.0.0.0:*               LISTEN      1/systemd           
tcp6       0      0 :::111                  :::*                    LISTEN      1/systemd           
udp        0      0 0.0.0.0:111             0.0.0.0:*                           1/systemd           
udp        0      0 0.0.0.0:603             0.0.0.0:*                           852/rpcbind         
udp6       0      0 :::111                  :::*                                1/systemd           
udp6       0      0 :::603                  :::*                                852/rpcbind         
unix  2      [ ACC ]     STREAM     LISTENING     71885    1/systemd            /var/run/rpcbind.sock
[root@rhel-7.6 ~]# netstat -pan | grep '111'
tcp        0      0 0.0.0.0:111             0.0.0.0:*               LISTEN      1/systemd           
tcp6       0      0 :::111                  :::*                    LISTEN      1/systemd           
udp        0      0 0.0.0.0:111             0.0.0.0:*                           1/systemd           
udp6       0      0 :::111                  :::*                                1/systemd           
[root@rhel-7.6 ~]#

Comment 9 Yongcheng Yang 2018-09-11 09:13:03 UTC
Moving to VERIFIED according to comment #7 for now.

Comment 11 errata-xmlrpc 2018-10-30 11:48:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3313


Note You need to log in before you can comment on or make changes to this bug.